Package org.springframework.batch.core.configuration.xml

# Class AbstractStepParser

java.lang.Object
org.springframework.batch.core.configuration.xml.AbstractStepParser

Direct Known Subclasses:
  `InlineStepParser`, `StandaloneStepParser`

public abstract class AbstractStepParser extends Object
Internal parser for the <step/> elements inside a job. A step element references a bean definition for a `Step` and goes on to (optionally) list a set of transitions from that step to others with <next on="pattern" to="stepName"/>. Used by the `JobParser`.

Since:
  2.0
Author:
  Dave Syer, Thomas Risberg, Josh Long
See Also:
  - `JobParser`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final String`
  `ID_ATTR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractStepParser()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.springframework.beans.factory.support.AbstractBeanDefinition`
  `parseStep(Element stepElement, org.springframework.beans.factory.xml.ParserContext parserContext, String jobFactoryRef)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ID_ATTR

    protected static final String ID_ATTR
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AbstractStepParser

    public AbstractStepParser()

- ## Method Details

  - ### parseStep

    protected org.springframework.beans.factory.support.AbstractBeanDefinition parseStep(Element stepElement, org.springframework.beans.factory.xml.ParserContext parserContext, String jobFactoryRef)
    Parameters:
      `stepElement` - The <step/> element
      `parserContext` - instance of `ParserContext`.
      `jobFactoryRef` - the reference to the `JobParserJobFactoryBean` from the enclosing tag. Use 'null' if unknown.
    Returns:
      `AbstractBeanDefinition` for the stepElement.